# iopaint
* 图像修复：可以从图片中移除不需要的对象、瑕疵或人物。
* 内容替换：可以替换图片上的内容，这项功能可能依赖于稳定扩散（Stable Diffusion）技术。
* 去水印：支持去除图片上的水印。
* 图像扩展：能够对图像进行扩展，可能指的是图像分辨率的提升或画布的扩展。
* 绘制文字：可以在图像上添加或编辑文字。
* 擦除功能：能够精确地擦除图像中的特定元素。
* Paint By Example：根据图例画画。

## Develop

```
pip3 install iopaint
iopaint start --model=lama --device=cpu --port=8080
```

批处理：
```

iopaint run --model=lama --device=cpu \
--image=/path/to/image_folder \
--mask=/path/to/mask_folder \
--output=output_dir
```
--image 输入图像的文件夹， --mask 蒙版图像的文件夹。



或者 WebUI：
```

```

打包windows版本：
```

```
## Reference

开源地址： https://github.com/Sanster/IOPaint

官网： https://www.iopaint.com/

Hugging Face Demo : https://huggingface.co/spaces/Sanster/iopaint-lama

Google Colab运行地址 : https://colab.research.google.com/drive/1TKVlDZiE3MIZnAUMpv2t_S4hLr6TUY1d?usp=sharing

国内第三方实现版(Smart Picture)：https://vaiui.com/
